org.springframework.web.servlet.theme

## Class FixedThemeResolver

- java.lang.Object
- - org.springframework.web.servlet.theme.AbstractThemeResolver
  - - org.springframework.web.servlet.theme.FixedThemeResolver

All Implemented Interfaces:
  ThemeResolver

    public class FixedThemeResolver
    extends AbstractThemeResolver

Implementation of ThemeResolver that simply uses a fixed theme. The fixed name can be defined via the "defaultThemeName" property.

Note: Does not support `setThemeName`, as the fixed theme cannot be changed.

Since:
  17.06.2003
Author:
  Jean-Pierre Pawlak, Juergen Hoeller
See Also:
  `AbstractThemeResolver.setDefaultThemeName(java.lang.String)`

### Field Summary

### Fields inherited from class org.springframework.web.servlet.theme.AbstractThemeResolver

`ORIGINAL_DEFAULT_THEME_NAME`

### Constructor Summary

Constructors
Constructor and Description
`FixedThemeResolver()`

### Method Summary

Methods
`String` `resolveThemeName(HttpServletRequest request)` Resolve the current theme name via the given request.
`void` `setThemeName(HttpServletRequest request, HttpServletResponse response, String themeName)` Set the current theme name to the given one.

### Methods inherited from class org.springframework.web.servlet.theme.AbstractThemeResolver

`getDefaultThemeName, setDefaultThemeName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedThemeResolver

    public FixedThemeResolver()

### Method Detail

#### resolveThemeName

    public String resolveThemeName(HttpServletRequest request)

Description copied from interface: `ThemeResolver`
Resolve the current theme name via the given request. Should return a default theme as fallback in any case.

Parameters:
  `request` - request to be used for resolution
Returns:
  the current theme name

#### setThemeName

    public void setThemeName(HttpServletRequest request,
                    HttpServletResponse response,
                    String themeName)

Description copied from interface: `ThemeResolver`
Set the current theme name to the given one.

Parameters:
  `request` - request to be used for theme name modification
  `response` - response to be used for theme name modification
  `themeName` - the new theme name